build/debian-packages/python-defaults-wheezy.diff
author Brindusan Cristian <cbrindusan@mozilla.com>
Mon, 18 Feb 2019 23:48:55 +0200
changeset 459826 10bef0ce2b5bb28bb918969d35bc8ca47071b97e
parent 445076 6f8c933b7938e254d7719788126b902da7e42fda
permissions -rw-r--r--
Merge mozilla-central to inbound. a=merge CLOSED TREE

diff -Nru python-defaults-2.7.3/debian/changelog python-defaults-2.7.3/debian/changelog
--- python-defaults-2.7.3/debian/changelog	2013-09-29 04:36:47.000000000 +0900
+++ python-defaults-2.7.3/debian/changelog	2018-11-06 18:06:20.000000000 +0900
@@ -1,3 +1,10 @@
+python-defaults (2.7.3-4.deb7moz1) wheezy; urgency=medium
+
+  * Mozilla backport for Wheezy.
+  * debian/control: Set "Multi-Arch: foreign" on various packages.
+
+ -- Mike Hommey <glandium@debian.org>  Tue, 06 Nov 2018 18:06:20 +0900
+
 python-defaults (2.7.3-4+deb7u1) stable; urgency=low
 
   * Add symlink for /usr/bin/python2 (Closes: #723182)
diff -Nru python-defaults-2.7.3/debian/control.in python-defaults-2.7.3/debian/control.in
--- python-defaults-2.7.3/debian/control.in	2012-07-01 03:36:04.000000000 +0900
+++ python-defaults-2.7.3/debian/control.in	2018-11-06 18:06:20.000000000 +0900
@@ -12,6 +12,7 @@
 
 Package: python
 Architecture: all
+Multi-Arch: foreign
 Priority: standard
 Depends: ${misc:Depends}, @PVER@ (>= @PREVVER@), python-minimal (= ${binary:Version})
 Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
@@ -29,6 +30,7 @@
 
 Package: python-minimal
 Architecture: all
+Multi-Arch: foreign
 Priority: standard
 Depends: ${misc:Depends}, @PVER@-minimal (>= @PREVVER@), dpkg (>= 1.13.20)
 Recommends: python
@@ -102,6 +104,7 @@
 
 Package: python-dbg
 Architecture: all
+Multi-Arch: foreign
 Section: debug
 Priority: extra
 Depends: ${misc:Depends}, python (= ${binary:Version}), python@VER@-dbg (>= @PREVVER@)
@@ -112,6 +115,7 @@
 
 Package: python-all
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.7-3), python2.7 (>= 2.7.2-3)
 Description: package depending on all supported Python runtime versions
  The package currently depends on python2.6 and python2.7, in the future,
@@ -123,6 +127,7 @@
 
 Package: python-all-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.6-dev (>= 2.6.5-2), python2.7-dev (>= 2.7-7)
 Description: package depending on all supported Python development packages
  The package currently depends on python2.6-dev and python2.7-dev, in the
@@ -134,6 +139,7 @@
 
 Package: python-all-dbg
 Architecture: all
+Multi-Arch: foreign
 Section: debug
 Priority: extra
 Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.6-dbg (>= 2.6.5-2), python2.7-dbg (>= 2.7-7)